summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: b10fe2d)
raw | patch | inline | side by side (parent: b10fe2d)
author | opensides <opensides@594d385d-05f5-0310-b6e9-bd551577e9d8> | |
Sat, 28 Nov 2009 18:44:15 +0000 (18:44 +0000) | ||
committer | opensides <opensides@594d385d-05f5-0310-b6e9-bd551577e9d8> | |
Sat, 28 Nov 2009 18:44:15 +0000 (18:44 +0000) |
- make correct orig.tar.gz files without debian dir
- Corrected Copyright
- Added README.source
- Added patches/00list
- Added PL_MAINTAINER var to enable maintainer is not author
- Added sed action for correct policy version
git-svn-id: https://oss.gonicus.de/repositories/gosa/trunk@14844 594d385d-05f5-0310-b6e9-bd551577e9d8
- Corrected Copyright
- Added README.source
- Added patches/00list
- Added PL_MAINTAINER var to enable maintainer is not author
- Added sed action for correct policy version
git-svn-id: https://oss.gonicus.de/repositories/gosa/trunk@14844 594d385d-05f5-0310-b6e9-bd551577e9d8
gosa-core/contrib/make-gosa-package | patch | blob | history | |
gosa-core/dh-make-gosa | patch | blob | history |
index e3124051fe2e7cae8b783dd96cd24d5035bef23b..57fc3b07a3c779e8148266aead1370d7a922c7da 100755 (executable)
fi
echo "Creating original sources 'gosa-${GOSA_VER}'..."
-tar -c -f "gosa_${GOSA_VER}.orig.tar" "${GOSA_DIR}"
-tar -c -f "gosa-si_${GOSA_VER}.orig.tar" "${GOSA_SI_DIR}"
+tar -c --exclude "${GOSA_DIR}"/debian -f "gosa_${GOSA_VER}.orig.tar" "${GOSA_DIR}"
+tar -c --exclude "${GOSA_SI_DIR}"/debian -f "gosa-si_${GOSA_VER}.orig.tar" "${GOSA_SI_DIR}"
echo "Compressing sources..."
gzip -f -9 "gosa_${GOSA_VER}.orig.tar"
rm -rf "$plugin"
echo "Packing original sources 'gosa-plugin-$plugin-${GOSA_VER}'..."
- tar -c -f "gosa-plugin-${plugin}_${GOSA_VER}.orig.tar" "${GOSA_PLUG_DIR}"
+ tar -c --exclude "gosa-plugin-${plugin}-${GOSA_VER}/debian" -f "gosa-plugin-${plugin}_${GOSA_VER}.orig.tar" "${GOSA_PLUG_DIR}"
echo "Compressing sources..."
gzip -f -9 "gosa-plugin-${plugin}_${GOSA_VER}.orig.tar"
diff --git a/gosa-core/dh-make-gosa b/gosa-core/dh-make-gosa
index 7f53d85ca59edf4d06028c9366b15a2492b719a1..fb942470fb27b1ec75b9f03008758f3ada664cff 100755 (executable)
--- a/gosa-core/dh-make-gosa
+++ b/gosa-core/dh-make-gosa
PL_DESCRIPTION=$(sed -n 's/"//g;s/^description\s*=\s*\(.*\)$/\1/p' "$1")
PL_AUTHOR=$(sed -n 's/"//g;s/^author\s*=\s*\([^<]*\).*$/\1/p' "$1")
PL_MAIL=$(sed -n 's/"//g;s/^author\s*=[^<].*<\([^>]*\).*$/\1/p' "$1")
+ PL_MAINTAINER=$(sed -n 's/"//g;s/^maintainer\s*=[^<].*<\([^>]*\).*$/\1/p' "$1")
PL_HOMEPAGE=$(sed -n 's/"//g;s/^homepage\s*=\s*\(.*\)$/\1/p' "$1")
else
echo "Error: cannot find description file" >&2
echo "Conflicts: $PL_CONFLICTS"
echo "Author name: $PL_AUTHOR"
echo "Author email: $PL_MAIL"
+echo "Maintainer email: $PL_MAINTAINER"
echo "Homepage: $PL_HOMEPAGE"
echo
read -s -n 1 -p "Do you want to continue? (y/n)" ans; echo
# Use gosa-plugin skelleton
echo "Calling dh_make..."
-echo | dh_make -e "$PL_MAIL" -c gpl -s -n -f gosa-plugin-${PL_NAME}-${PL_VERSION}.tar.gz >/dev/null 2>&1
+echo | dh_make -e "$PL_MAINTAINER" -c gpl -s -n -f gosa-plugin-${PL_NAME}-${PL_VERSION}.tar.gz >/dev/null 2>&1
if [ $? -ne 0 ]; then
echo "Failed to call dh_make - aborting!"
exit 1
@@ -229,7 +231,9 @@ sed -i "s/.url:\/\/example.com./http:\/\/www.gosa-project.org/g" debian/copyrigh
sed -i "/.put author's name and email here.\
/d" debian/copyright
sed -i '/^Upstream/,/^$/d' debian/copyright
-sed -i 's/ C)/ Copyright (C)/g' debian/copyright
+sed -i 's/ C)/ (C)/g' debian/copyright
+sed -i 's/GPL/GPL-2/g' debian/copyright
+sed -i 's/The Debian packaging is/The Debian packaging is Copyright (C)/g' debian/copyright
# Adapt control
sed -i "s#^Section: unknown#Section: $SECTION#g" debian/control
fi
sed -i "12iBreaks: gosa (<2.6)" debian/control
sed -i 's/^\(Build-Depends: .*\)$/\1, dpatch/g' debian/control
+sed -i 's/^Standards-Version: 3.7.3/Standards-Version: 3.8.3/g' debian/control
+
sed -i "s/^Description: .*$/Description: $PL_NAME plugin for GOsa/g" debian/control
sed -i "s/^ <.*$/ %DESCRIPTION%/g" debian/control
dsc=$(tempfile)
# Create patch directory
[ ! -d debian/patches ] && mkdir debian/patches
+# Create empty patch list
+cat <<EOF > debian/patches/00list
+This file left intentionnaly blank
+EOF
+
# Adapt README.debian
cat <<EOF > debian/README.Debian
README.Debian for GOsa $PL_NAME plugin $PL_VERSION
$PL_AUTHOR <$PL_MAIL> Fri 02 Jun 2006 16:23:50 +0200
EOF
+# Adapt README.source
+cat <<EOF > debian/README.source
+/usr/share/doc/dpatch/README.source.gz
+EOF
+
# Fix README
sed -i "s/Comments regarding the Package/After installing this plugin you may need to reload apache../g" debian/README
install: build
dh_testdir
dh_testroot
- dh_clean -k
dh_installdirs
# Build architecture-independent files here.